<?xml version="1.0"?>
<problem>
  <global id="pull_plate" dim="2" coord_sys_type="cartesian"/>
  <node>
    <n x="0.00" y="0.00">1</n>
    <n x="0.00" y="0.50">2</n>
    <n x="0.00" y="1.00">3</n>
    <n x="0.50" y="0.00">4</n>
    <n x="0.50" y="0.50">5</n>
    <n x="0.50" y="1.00">6</n>
    <n x="0.00" y="0.25">7</n>
    <n x="0.00" y="0.75">8</n>
    <n x="0.25" y="0.00">9</n>
    <n x="0.25" y="0.25">10</n>
    <n x="0.25" y="0.50">11</n>
    <n x="0.25" y="0.75">12</n>
    <n x="0.25" y="1.00">13</n>
    <n x="0.50" y="0.25">14</n>
    <n x="0.50" y="0.75">15</n>
    <n x="1.00" y="0.00">16</n>
    <n x="1.00" y="0.50">17</n>
    <n x="1.00" y="1.00">18</n>
    <n x="0.75" y="0.00">19</n>
    <n x="0.75" y="0.25">20</n>
    <n x="0.75" y="0.50">21</n>
    <n x="0.75" y="0.75">22</n>
    <n x="0.75" y="1.00">23</n>
    <n x="1.00" y="0.25">24</n>
    <n x="1.00" y="0.75">25</n>
  </node>
  <boundary>
    <b id="line" gnn="1 9 4 19 16" start="1" end="16">1</b>
    <b id="line" gnn="16 24 17 25 18" start="16" end="18">2</b>
    <b id="line" gnn="18 23 6 13 3" start="18" end="3">3</b>
    <b id="line" gnn="3 8 2 7 1" start="3" end="1">4</b>
  </boundary>
  <element>
    <e gnn="1 4 5 2 9 14 11 7 10" m="1" et="1">1</e>
    <e gnn="2 5 6 3 11 15 13 8 12" m="1" et="1">2</e>
    <e gnn="4 16 17 5 19 24 21 14 20" m="1" et="1">3</e>
    <e gnn="5 17 18 6 21 25 23 15 22" m="1" et="1">4</e>
  </element>
  <element_type>
    <et id="quad" data_set="2" gauss_points="3:3">1</et>
  </element_type>
  <prescribed_dof>
    <p id="boundary" b="4" x="0.0">1</p>
    <p id="boundary" b="2" x="0.0" y="0.0">2</p>
    <p id="boundary" b="2" x="1.0" y="0.0">3</p>
    <p id="boundary" b="1" y="0.0">4</p>
  </prescribed_dof>
  <load>
<!--    <l id="pressure" b="2" value="1.0">1</l> -->
  </load>
  <load_case>
<!--    <lc id="const" load="1" data_set="3">9</lc> -->
  </load_case>
  <dof_case>
    <dc id="const" dof="1" data_set="3">1</dc>
    <dc id="ramp" start_dof="2" end_dof="3" data_set="3">2</dc>
    <dc id="const" dof="4" data_set="3">3</dc>
  </dof_case>
  <material>
    <m id="hyper_elastic" data_set="1">1</m>
  </material>
  <data_set>
    <ds data="1000:0.3">1</ds>
    <ds data="2:1e-22:1:1.0">2</ds>
    <!-- ds >2<: activate " ORDER_OF_SHAPEFCNS :                  -->
    <!--                    CONVERGENCE_CRITERA_NONLINEARITY :    -->
    <!--                    ELASTICITY TYPE : 0 - St. Venant-Kirchhoff   -->
    <!--                                      1 - Neo Hookean  -->
    <!--                    HEIGHT :    -->
    <ds data="0:10:5">3</ds>
    <!-- ds >3<: " StartLoadStepTIME : EndLoadStepTIME : LoadStepTIMEIncrement " -->
  </data_set>
</problem>
